class ch0309{
  public static void main(String args[]){
    float t=1,s=0;         //迭代初始值
    for(int i=0;i<64;i++)
      {s+=t;               //迭代计算公式
       t*=2;               //迭代计算公式
      }
  System.out.println("sum= "+s+"\t 2^63="+t/2);
    }
  }



